%define oname goocanvas

%define major		9
%define api		2.0
%define gmajor		2.0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver %(echo %version | cut -d. -f1,2)

Name:		goocanvas2
Version:	2.0.2
Release:	%mkrel 1
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
License:	LGPL+
URL:		http://sourceforge.net/projects/goocanvas
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
#------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gvfs0
BuildRequires: %{_lib}pango1.0-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
#------------------------------------

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for 
drawing. It has a model/view split, and uses interfaces for canvas items and 
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}goocanvas-2.0_9 < 2.0.1

%description -n %{libname}
This package contains the shared library for goocanvas.

%package i18n
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This package contains the translations for goocanvas.

%package -n %{develname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}goocanvas-2.0-devel < 2.0.1

%description -n %{develname}
This package contains the development libraries, include files 
and documentation.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
%configure2_5x --enable-introspection=yes --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -n %{libname}
%doc README COPYING AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GooCanvas-%{gmajor}.typelib

%files i18n -f %{name}.lang

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{oname}-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GooCanvas-%{gmajor}.gir


%changelog
* Tue Oct 20 2014 bb <bb> 2.0.2-1pclos2014
- import for gramps
